<script setup>
import { ref, onMounted } from 'vue'

const name = ref('')
const email = ref('')
const message = ref('')
const saved = ref(false)

const saveData = () => {
  const data = {
    name: name.value,
    email: email.value,
    message: message.value,
  }

  localStorage.setItem('formData', JSON.stringify(data))

  saved.value = true;
}


const loadData = () => {
  const data = JSON.parse(localStorage.getItem('formData'))

  if (data) {
    name.value = data.name
    email.value = data.email
    message.value = data.message
    saved.value = true
  }
  saved.value = false;
}


onMounted(loadData)
</script>

<template>
  <footer>
    <section>
      <h2>Contáctanos</h2>
      <form @submit.prevent="saveData">
        <label for="name">Nombre:</label>
        <input type="text" id="name" v-model="name" required>
        <label for="email">Correo Electrónico:</label>
        <input type="email" id="email" v-model="email" required>

        <label for="message">Mensaje:</label>
        <textarea id="message" v-model="message" required></textarea>

        <button type="submit">Enviar</button>
      </form>

      <div v-if="saved" class="colortext">
        <p>Tus datos se han guardado correctamente en localStorage.</p>
      </div>

    </section>
    <section>

      <h2>Síguenos en redes sociales</h2>
      <ul>
        <li><a href="#"><font-awesome-icon :icon="['fab', 'facebook']" /> Facebook</a></li>
        <li><a href="#"> <font-awesome-icon :icon="['fab', 'twitter']" /> Twitter</a></li>
        <li><a href="#"><font-awesome-icon :icon="['fab', 'instagram']" /> Instagram</a></li>
      </ul>
    </section>

    <section>
      <h2>Proyecto</h2>
      <p>Tecnologias Web Multiplataforma</p>
    </section>
  </footer>
</template>

<style scoped></style>